Skip to main content
DELETE
Cancel All Orders

Headers

PX-Key-Id
string
required

The key id issued for your signing keypair.

PX-Timestamp
string
required

Unix seconds at signing, valid within 30 seconds of the server clock.

PX-Signature
string
required

Ed25519 signature of the request

PX-Content-Sha256
string
required

Hex SHA-256 of the request body, or the SHA-256 of the empty string when there is no body.

Query Parameters

strikeId
string

Restricts cancellation to this strike.

Minimum string length: 1
pageToken
string

Continuation token for unattempted orders in the same cancellation scope.

Required string length: 1 - 4096

Response

Cancellation outcomes

cancelled
string<uuid>[]
required

Order identifiers confirmed cancelled.

notCancelled
object[]
required

Orders without confirmed cancellation.

nextPageToken
string

Continuation token for orders not yet attempted.